loci.plugins.in

## Enum ImportStep

- java.lang.Object
- - java.lang.Enum<ImportStep>
  - - loci.plugins.in.ImportStep

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImportStep>

      public enum ImportStep
      extends java.lang.Enum<ImportStep>

  An enumeration of the steps in the import preparation process.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLORS`
    `COMPLETE`
    `CROP`
    `DIM_ORDER`
    `FILE`
    `METADATA`
    `RANGE`
    `READER`
    `SERIES`
    `STACK`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `message`
    `private int` | `step`
    `private static java.util.HashMap<java.lang.Integer,ImportStep>` | `STEP_TABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `int` | `getStep()`
    `static ImportStep` | `getStep(int step)`
    `static ImportStep` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImportStep[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READER

          public static final ImportStep READER

    - #### FILE

          public static final ImportStep FILE

    - #### STACK

          public static final ImportStep STACK

    - #### SERIES

          public static final ImportStep SERIES

    - #### DIM_ORDER

          public static final ImportStep DIM_ORDER

    - #### RANGE

          public static final ImportStep RANGE

    - #### CROP

          public static final ImportStep CROP

    - #### COLORS

          public static final ImportStep COLORS

    - #### METADATA

          public static final ImportStep METADATA

    - #### COMPLETE

          public static final ImportStep COMPLETE

  - ### Field Detail

    - #### STEP_TABLE

          private static final java.util.HashMap<java.lang.Integer,ImportStep> STEP_TABLE

    - #### step

          private int step

    - #### message

          private java.lang.String message

  - ### Method Detail

    - #### values

          public static ImportStep[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImportStep c : ImportStep.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImportStep valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStep

          public static ImportStep getStep(int step)

    - #### getStep

          public int getStep()

    - #### getMessage

          public java.lang.String getMessage()

Copyright © 2026 Open Microscopy Environment